
package com.ebay.marketplace.services;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * 
 * 		Not applicable at this time. This call is reserved for future use.
 * 		Creates a recurring Bulk Data Exchange Job and assigns it a recurringJobId. Once a recurring job has been created, a separate
 * 		job id is created for each job that is created/executed.
 * 		For example, if a job runs every hour, it will have a recurring job id and each hourly job will have a jobId and file
 * 		reference id.
 * 		
 * 
 * <p>Java class for CreateRecurringJobRequest complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="CreateRecurringJobRequest">
 *   &lt;complexContent>
 *     &lt;extension base="{http://www.ebay.com/marketplace/services}BaseServiceRequest">
 *       &lt;sequence>
 *         &lt;element name="UUID" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="frequencyInMinutes" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="downloadJobType" type="{http://www.w3.org/2001/XMLSchema}token"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "CreateRecurringJobRequest", propOrder = {
    "uuid",
    "frequencyInMinutes",
    "downloadJobType"
})
public class CreateRecurringJobRequest
    extends BaseServiceRequest
{

    @XmlElement(name = "UUID", required = true)
    protected String uuid;
    protected int frequencyInMinutes;
    @XmlElement(required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "token")
    protected String downloadJobType;

    /**
     * Gets the value of the uuid property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUUID() {
        return uuid;
    }

    /**
     * Sets the value of the uuid property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUUID(String value) {
        this.uuid = value;
    }

    /**
     * Gets the value of the frequencyInMinutes property.
     * 
     */
    public int getFrequencyInMinutes() {
        return frequencyInMinutes;
    }

    /**
     * Sets the value of the frequencyInMinutes property.
     * 
     */
    public void setFrequencyInMinutes(int value) {
        this.frequencyInMinutes = value;
    }

    /**
     * Gets the value of the downloadJobType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDownloadJobType() {
        return downloadJobType;
    }

    /**
     * Sets the value of the downloadJobType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDownloadJobType(String value) {
        this.downloadJobType = value;
    }

}
