
package com.ebay.marketplace.services;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * 
 * 		Stops (aborts) processing the uploaded file or processing the report file
 * 		(to be downloaded). When your application makes this call, the
 * 		processing will stop, but it may not stop immediately. (Much like when you
 * 		abort a job from your printer queue.)
 * 		<br>
 * 		<br>
 * 		To determine which data was processed (added to the eBay web site or report)
 * 		and which data still needs to be added, see the AbortJobResponse that is
 * 		returned by this call.
 * 		
 * 
 * <p>Java class for AbortJobRequest complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AbortJobRequest">
 *   &lt;complexContent>
 *     &lt;extension base="{http://www.ebay.com/marketplace/services}BaseServiceRequest">
 *       &lt;sequence>
 *         &lt;element name="jobId" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AbortJobRequest", propOrder = {
    "jobId"
})
public class AbortJobRequest
    extends BaseServiceRequest
{

    @XmlElement(required = true)
    protected String jobId;

    /**
     * Gets the value of the jobId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getJobId() {
        return jobId;
    }

    /**
     * Sets the value of the jobId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setJobId(String value) {
        this.jobId = value;
    }

}
